#!/bin/bash


# colors list
#COLORS=`ls /usr/share/texmf/tex/latex/beamer/themes/color/ | grep "^beamer" | cut -d . -f 1 | sed "s/beamercolortheme//" | tr '\n' ' '`

COLORS="albatross beaver beetle crane default dolphin dove fly lily orchid rose seagull seahorse sidebartab structure whale wolverine"



TEX_FILE="subversion-jak_dziala-prezentacja"
OUTPUT_DIR="out"


for COLOR in $COLORS
do
	INPUT_FILE="$TEX_FILE.tex"
	OUTPUT_FILE="$TEX_FILE-$COLOR.tex"

	cp $INPUT_FILE $OUTPUT_FILE
	sed -i "s/^\\\\usecolortheme.*/\\\\usecolortheme{$COLOR}/" $OUTPUT_FILE
	
	pdflatex -output-directory=out $OUTPUT_FILE
	pdflatex -output-directory=out $OUTPUT_FILE

	rm $OUTPUT_FILE
done;

