#!/bin/bash


# theme list
# ls /usr/share/texmf/tex/latex/beamer/themes/font/ | grep '^beamerfonttheme' | cut -d . -f 1 | sed "s/beamerfonttheme//"

FONTS="default professionalfonts serif structurebold structureitalicserif structuresmallcapsserif"

TEX_FILE="subversion-jak_dziala-prezentacja"
OUTPUT_DIR="out"

for FONT in $FONTS
do
	INPUT_FILE="$TEX_FILE.tex"
	OUTPUT_FILE="$TEX_FILE-$FONT.tex"

	cp $INPUT_FILE $OUTPUT_FILE
	sed -i "s/^\\\usefonttheme.*/\\\usefonttheme{$FONT}/" $OUTPUT_FILE
	
	pdflatex -output-directory=out $OUTPUT_FILE
	pdflatex -output-directory=out $OUTPUT_FILE

	rm $OUTPUT_FILE
done;

