#!/bin/bash


# theme list
# ls /usr/share/texmf/tex/latex/beamer/themes/theme/ | grep "^beam" | cut -d . -f 1  | sed "s/beamertheme//"

THEMES="AnnArbor Antibes Bergen Berkeley Berlin Boadilla boxes CambridgeUS Copenhagen Darmstadt default Dresden Frankfurt Goettingen Hannover Ilmenau JuanLesPins Luebeck Madrid Malmoe Marburg Montpellier PaloAlto Pittsburgh Rochester Singapore Szeged Warsaw"

TEX_FILE="subversion-jak_dziala-prezentacja"
OUTPUT_DIR="out"





for THEME in $THEMES
do
	INPUT_FILE="$TEX_FILE.tex"
	OUTPUT_FILE="$TEX_FILE-$THEME.tex"

	cp $INPUT_FILE $OUTPUT_FILE
	sed -i "s/^\\\usetheme.*/\\\usetheme{$THEME}/" $OUTPUT_FILE
	
	pdflatex -output-directory=out $OUTPUT_FILE
	pdflatex -output-directory=out $OUTPUT_FILE

	rm $OUTPUT_FILE
done;

